/* Google Fonts Import */
@import url('https://fonts.googleapis.com/css2?family=Lobster&display=swap');

/* Body Styling */
.body-home{
    background: black;
    background-size: cover;
    background-attachment: fixed;
    font-family: 'Manrope', sans-serif;
    justify-content: center;
    align-items: center;
    margin: 0;
    padding: 0;
    box-sizing: border-box;

}


/* cards css*/

:root {
    --background: #1F2336;
    --scrollbar-background: #313852;
    --text: #F1F1F1;
    --text-active: #F1F1F180;
}
  
html {
    scroll-behavior: smooth;
}


.containers {
    display: flex;
    flex-direction: row;
    gap: 1.5rem;
    padding: 1rem;
    max-width: 14rem;
    overflow-x: scroll;
    scroll-snap-type: x mandatory;
}
  
.cards {
    min-width: 14rem;
    min-height: 14rem;
    color: var(--text);
    display: flex;
    font-weight: 600;
    font-size: 1.5rem;
    border-radius: 1rem;
    transition: all 0.2s;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    scroll-snap-align: start;
}

h4 {
    color: white;
    font-family: 'Glacial Indifference', sans-serif;
  }

.containers::-webkit-scrollbar {
    height: 0.7rem;
}
.containers::-webkit-scrollbar-track {
    background: var(--scrollbar-background);
    border-radius: 40rem;
}
.containers::-webkit-scrollbar-thumb {
    background: var(--text);
    border-radius: 40rem;
}

/* Background Overlay */
.black-fill {
    background:black;
    min-height: 100vh;
}

/* Navbar Styling */
#homeNav {
    background: rgba(255,255,255, 0.5) !important;
}

/* Contact Section */
#contact {
    min-height: 100vh;   
}

/* About Section */
#about {
    /* CSS styles for the 'about' section */
    width: 90%;
    margin: 0 auto;
    display: flex;
    flex-wrap: wrap;
    padding-top: 40px;
}

.coaching-image {
    width: 100%; /* Full width relative to the parent container */
    max-width: 600px; /* Maximum width to prevent the image from becoming too large */
    height: auto; /* Maintains aspect ratio */
}


/* About Item Styling */
.about-item {
    background-color: transparent; /* Grey background */
    padding: 20px; /* Add padding inside the div */
    border-radius: 5px; /* Rounded corners */
    text-align: center; /* Center align content */
    margin: 10px; /* Add margin around each item for spacing */
    width: 80%; /* Set width of items */
    display: flex;
    align-items:baseline;
    align-self: center;
    flex-wrap: wrap;
    flex-direction: column;
    color: white;
}
.about-item img {
    max-width: 20%;
    min-width: 150px;
    height: auto; /* Maintain aspect ratio */
    border-radius: 50px; /* Rounded corners for images */
    margin-bottom: 20px; /* Add some space below the image */
    display: flex;
    margin: 0 auto;
}


.text h4 {
    font-size: 30px; /* Set font size for header text */
    margin-bottom: 20px; /* Add some space below the header text */
    color: #F1F1F1;
    font-family: 'Glacial Indifference', sans-serif;
}

.text p {
    font-size: 20px;
    margin-bottom: 5px; /* Remove bottom margin of the paragraph */
    padding-top: 25px;
    font-family: 'Glacial Indifference', sans-serif;
    color: white;
}

.services-description {
    font-size: 1.2em;
    color:white; /* Light grey color */
}

.contactus {
    color:white; /* Light grey color */
    padding-bottom: 15px;
}

/* Additional Width Styling */
.w-450 {
    width: 450px;
}

.n-table {
    max-width: 800px;
}

.form-w {
    max-width: 600px;
    width: 100%;
}

.form-label {
    color: white;
}

  /* footer */
footer{
    width: 100%;
    background: linear-gradient(rgba(200, 200, 200, 0.7), rgba(65, 52, 52, 0.7));
    color: #fff;
    padding: 50px 0;
    border-top-left-radius: 30px;
    border-top-right-radius: 30px;
    font-size: 14px;
    overflow-x: hidden;
}
.footer-content{
    width:95% ;
    margin: auto;
    display: flex;
    justify-content:space-between;
}

.footer-section{
    flex-basis: 25%;
    padding: 10px;
}
.footer-section:nth-child(2), .footer-section:nth-child(3){
     flex-basis: 15%;
}

.footerl{
    padding-bottom: 15px;
}